<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Refkatikan extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Mkatikan');
        $this->load->library('form_validation');
    }

    public function index()
    {
        $refkatikan = $this->Mkatikan->get_all();
        $data = array(
            'refkatikan_data' => $refkatikan
        );
        $this->template->load('blank','refkatikan/Refkatikan_list', $data);
    }

    

    public function create() 
    {
        $data = array(
            'button'   => 'Form Tambah',
            'action'   => site_url('refkatikan/create_action'),
            'id_inc'   => set_value('id_inc'),
            'nm_ikan'  => set_value('nm_ikan'),
            'kat_ikan' => set_value('kat_ikan'),
	);
        $this->template->load('blank','refkatikan/Refkatikan_form', $data);
    }
    
    public function create_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
		'nm_ikan' => $this->input->post('nm_ikan',TRUE),
		'kat_ikan' => $this->input->post('kat_ikan',TRUE),
	    );

           $this->Mkatikan->insert($data);
            
            redirect(site_url('refkatikan'));
        }
    }
    
    public function update($id) 
    {
        $row = $this->Mkatikan->get_by_id($id);

        if ($row) {
            $data = array(
                'button' => 'Form Edit',
                'action' => site_url('refkatikan/update_action'),
		'id_inc' => set_value('id_inc', $row->id_inc),
		'nm_ikan' => set_value('nm_ikan', $row->nm_ikan),
		'kat_ikan' => set_value('kat_ikan', $row->kat_ikan),
	    );
            $this->template->load('blank','refkatikan/Refkatikan_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('refkatikan'));
        }
    }
    
    public function update_action() 
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('id_inc', TRUE));
        } else {
            $data = array(
		'nm_ikan' => $this->input->post('nm_ikan',TRUE),
		'kat_ikan' => $this->input->post('kat_ikan',TRUE),
	    );

            $this->Mkatikan->update($this->input->post('id_inc', TRUE), $data);
            
            redirect(site_url('refkatikan'));
        }
    }
    
    public function delete($id) 
    {
        $row = $this->Mkatikan->get_by_id($id);

        if ($row) {
            $this->Mkatikan->delete($id);
            
            
            redirect(site_url('refkatikan'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('refkatikan'));
        }
    }

    public function _rules() 
    {
	$this->form_validation->set_rules('nm_ikan', 'kategori', 'trim|required');
	$this->form_validation->set_rules('kat_ikan', 'grade', 'trim|required');

	$this->form_validation->set_rules('id_inc', 'id_inc', 'trim');
	$this->form_validation->set_error_delimiters('<span class="text-danger">', '</span>');
    }

}

/* End of file Refkatikan.php */
/* Location: ./application/controllers/Refkatikan.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-12-02 14:35:43 */
/* http://harviacode.com */